/*     This file is part of mux-sw.

    mux-sw is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mux-sw is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with mux-sw.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#include "spibitbang.h"
#include "rf_mux.h"
#include "httpd.h"

// SPI-pins for mux A
const int A_SPI_SDIO = 32;  // SATA pin SI = 5, SO = 6
const int A_SPI_CSB  = 30;  // SATA pin 2
const int A_SPI_SCLK = 31;  // SATA pin 3
RF_MUX::RF_MUX* a_mux = new RF_MUX::RF_MUX('A', A_SPI_SDIO, A_SPI_CSB, A_SPI_SCLK);

// SPI pins for mux B
const int B_SPI_SDIO = 44;  // SATA pin SI = 5, SO = 6
const int B_SPI_CSB  = 42;  // SATA pin 2
const int B_SPI_SCLK = 43;  // SATA pin 3
RF_MUX::RF_MUX* b_mux = new RF_MUX::RF_MUX('B', B_SPI_SDIO, B_SPI_CSB, B_SPI_SCLK);


HTTPD::httpd* webserver = new HTTPD::httpd(a_mux, b_mux);

void setup() {
  Serial.begin(9600);
  delay(1000);
  pinMode(LED_BUILTIN, OUTPUT);
  delay(1000);
  webserver->init();
  delay(1000);
}

void loop() {
  webserver->available();

}
